## rust-filespooler 1.2.4

=== doc/Makefile ===
ALL: fspl.1

%.1: %.1.md
	pandoc -f markdown-smart --standalone --to man $< -o $@

## rust-filespooler 1.2.2

=== debian/changelog ===
rust-filespooler (1.2.2-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 01 Nov 2022 12:13:11 +0000

rust-filespooler (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * Package filespooler 1.2.2 from crates.io using debcargo 2.5.0
    Closes: #1013290.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 22 Oct 2022 13:49:28 +0000

=== debian/control ===
Source: rust-filespooler
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev (>= 1.0.57-~~),
 librust-bytes-1+default-dev (>= 1.1.0-~~),
 librust-chrono-0.4+default-dev (>= 0.4.19-~~),
 librust-clap-3+derive-dev (>= 3.1-~~),
 librust-clap-3+std-dev (>= 3.1-~~),
 librust-crc32fast-1+default-dev (>= 1.3.2-~~),
 librust-fd-lock-3+default-dev (>= 3.0.5-~~),
 librust-rmp-serde-1+default-dev (>= 1.1.0-~~),
 librust-serde-1+default-dev (>= 1.0.137-~~),
 librust-serde-1+derive-dev (>= 1.0.137-~~),
 librust-tempfile-3+default-dev (>= 3.3.0-~~),
 librust-tracing-0.1+default-dev (>= 0.1.34-~~),
 librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.11-~~),
 librust-tracing-subscriber-0.3+std-dev (>= 0.3.11-~~),
 librust-uuid-1+default-dev,
 librust-uuid-1+v4-dev,
 librust-wait-timeout-0.2+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 John Goerzen <jgoerzen@complete.org>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/filespooler]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/filespooler
Homepage: https://www.complete.org/filespooler/
Rules-Requires-Root: no

Package: librust-filespooler-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev (>= 1.0.57-~~),
 librust-bytes-1+default-dev (>= 1.1.0-~~),
 librust-chrono-0.4+default-dev (>= 0.4.19-~~),
 librust-clap-3+derive-dev (>= 3.1-~~),
 librust-clap-3+std-dev (>= 3.1-~~),
 librust-crc32fast-1+default-dev (>= 1.3.2-~~),
 librust-fd-lock-3+default-dev (>= 3.0.5-~~),
 librust-rmp-serde-1+default-dev (>= 1.1.0-~~),
 librust-serde-1+default-dev (>= 1.0.137-~~),
 librust-serde-1+derive-dev (>= 1.0.137-~~),
 librust-tempfile-3+default-dev (>= 3.3.0-~~),
 librust-tracing-0.1+default-dev (>= 0.1.34-~~),
 librust-tracing-subscriber-0.3+fmt-dev (>= 0.3.11-~~),
 librust-tracing-subscriber-0.3+std-dev (>= 0.3.11-~~),
 librust-uuid-1+default-dev,
 librust-uuid-1+v4-dev,
 librust-wait-timeout-0.2+default-dev
Provides:
 librust-filespooler+default-dev (= ${binary:Version}),
 librust-filespooler-1-dev (= ${binary:Version}),
 librust-filespooler-1+default-dev (= ${binary:Version}),
 librust-filespooler-1.2-dev (= ${binary:Version}),
 librust-filespooler-1.2+default-dev (= ${binary:Version}),
 librust-filespooler-1.2.2-dev (= ${binary:Version}),
 librust-filespooler-1.2.2+default-dev (= ${binary:Version})
Description: Sequential, distributed, POSIX-style job queue processing - Rust source code
 This package contains the source for the Rust filespooler crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: filespooler
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Sequential, distributed, POSIX-style job queue processing
 Filespooler is a Unix-style tool that facilitates local or remote command
 execution, complete with stdin capture, with easy integration with various
 tools.  Here's a brief Filespooler feature list:
 .
  - It can easily use tools such as S3, Dropbox, Syncthing, NNCP, ssh, UUCP, USB
   drives, CDs, etc. as transport.
 .
   - Translation: you can use basically anything that is a filesystem as a
     transport
 .
  - It can use arbitrary decoder command pipelines (eg, zcat, stdcat, gpg, age,
   etc) to pre-process stored packets.
 .
  - It can send and receive packets by pipes.
 .
  - Its storage format is simple on-disk files with locking.
 .
  - It supports one-to-one and one-to-many configurations.
 .
  - Locking is unnecessary when writing new jobs to the queue, and many arbitrary
   tools (eg, Syncthing, Dropbox, etc) can safely write directly to the queue
   without any assistance.
 .
  - Queue processing is strictly ordered based on the order on the creation
   machine, even if job files are delivered out of order to the destination.
 .
  - stdin can be piped into the job creation tool, and piped to a later executor
   at process time on a remote machine.
 .
  - The file format is lightweight; less than 100 bytes overhead unless large
   extra parameters are given.
 .
  - The queue format is lightweight; having 1000 different queues on a Raspberry
   Pi would be easy.
 .
  - Processing is stream-based throughout; arbitrarily-large packets are fine and
   sizes in the TB range are no problem.
 .
  - The Filespooler command, fspl, is extremely lightweight, consuming less than
   10MB of RAM on x86_64.
 .
  - Filespooler has extensive documentation.
 .
 Filespooler consists of a command-line tool (fspl) for interacting with queues.
 It also consists of a Rust library that is used by fspl.  main.rs for fspl is
 just a few lines long.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test filespooler 1.2.2 --all-targets --all-features
Features: test-name=rust-filespooler:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test filespooler 1.2.2 --all-targets 
Features: test-name=librust-filespooler-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test filespooler 1.2.2 --all-targets --no-default-features
Features: test-name=librust-filespooler-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-filespooler 1.2.3

=== debian/changelog ===
rust-filespooler (1.2.3-1build1) oracular; urgency=medium

  * No-change rebuild with rustc 1.80.x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Sep 2024 16:29:13 +0200

rust-filespooler (1.2.3-1) unstable; urgency=medium

  * Package filespooler 1.2.3 from crates.io using debcargo 2.6.0.
  * This version uses clap v4.  Closes: #1040886.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 25 Aug 2023 06:12:07 -0500

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,12 @@
  librust-anyhow-1+default-dev (>= 1.0.57-~~),
  librust-bytes-1+default-dev (>= 1.1.0-~~),
  librust-chrono-0.4+default-dev (>= 0.4.19-~~),
- librust-clap-3+derive-dev (>= 3.1-~~),
- librust-clap-3+std-dev (>= 3.1-~~),
+ librust-clap-4+derive-dev (>= 4.1-~~),
+ librust-clap-4+error-context-dev (>= 4.1-~~),
+ librust-clap-4+help-dev (>= 4.1-~~),
+ librust-clap-4+std-dev (>= 4.1-~~),
+ librust-clap-4+usage-dev (>= 4.1-~~),
+ librust-clap-4+wrap-help-dev (>= 4.1-~~),
  librust-crc32fast-1+default-dev (>= 1.3.2-~~),
  librust-fd-lock-3+default-dev (>= 3.0.5-~~),
  librust-rmp-serde-1+default-dev (>= 1.1.0-~~),
@@ -26,10 +30,11 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/filespooler]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/filespooler
 Homepage: https://www.complete.org/filespooler/
+X-Cargo-Crate: filespooler
 Rules-Requires-Root: no
 
 Package: librust-filespooler-dev
@@ -40,8 +45,12 @@
  librust-anyhow-1+default-dev (>= 1.0.57-~~),
  librust-bytes-1+default-dev (>= 1.1.0-~~),
  librust-chrono-0.4+default-dev (>= 0.4.19-~~),
- librust-clap-3+derive-dev (>= 3.1-~~),
- librust-clap-3+std-dev (>= 3.1-~~),
+ librust-clap-4+derive-dev (>= 4.1-~~),
+ librust-clap-4+error-context-dev (>= 4.1-~~),
+ librust-clap-4+help-dev (>= 4.1-~~),
+ librust-clap-4+std-dev (>= 4.1-~~),
+ librust-clap-4+usage-dev (>= 4.1-~~),
+ librust-clap-4+wrap-help-dev (>= 4.1-~~),
  librust-crc32fast-1+default-dev (>= 1.3.2-~~),
  librust-fd-lock-3+default-dev (>= 3.0.5-~~),
  librust-rmp-serde-1+default-dev (>= 1.1.0-~~),
@@ -60,8 +69,8 @@
  librust-filespooler-1+default-dev (= ${binary:Version}),
  librust-filespooler-1.2-dev (= ${binary:Version}),
  librust-filespooler-1.2+default-dev (= ${binary:Version}),
- librust-filespooler-1.2.2-dev (= ${binary:Version}),
- librust-filespooler-1.2.2+default-dev (= ${binary:Version})
+ librust-filespooler-1.2.3-dev (= ${binary:Version}),
+ librust-filespooler-1.2.3+default-dev (= ${binary:Version})
 Description: Sequential, distributed, POSIX-style job queue processing - Rust source code
  This package contains the source for the Rust filespooler crate, packaged by
  debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test filespooler 1.2.3 --all-targets --all-features
Features: test-name=rust-filespooler:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test filespooler 1.2.3 --all-targets
Features: test-name=librust-filespooler-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test filespooler 1.2.3 --all-targets --no-default-features
Features: test-name=librust-filespooler-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-filespooler 1.2.4

=== debian/changelog ===
rust-filespooler (1.2.4-1) unstable; urgency=medium

  * Team upload
  * Package filespooler 1.2.4 from crates.io using debcargo 2.7.10

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Sep 2025 07:33:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: rust-filespooler
 Section: rust
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
- cargo:native,
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo
+Build-Depends-Arch: cargo:native,
  rustc:native,
  libstd-rust-dev,
+ librust-anyhow-1+backtrace-dev (>= 1.0.57-~~),
  librust-anyhow-1+default-dev (>= 1.0.57-~~),
  librust-bytes-1+default-dev (>= 1.1.0-~~),
  librust-chrono-0.4+default-dev (>= 0.4.19-~~),
@@ -15,6 +16,7 @@
  librust-clap-4+std-dev (>= 4.1-~~),
  librust-clap-4+usage-dev (>= 4.1-~~),
  librust-clap-4+wrap-help-dev (>= 4.1-~~),
+ librust-command-group-5+default-dev (>= 5.0.1-~~),
  librust-crc32fast-1+default-dev (>= 1.3.2-~~),
  librust-fd-lock-3+default-dev (>= 3.0.5-~~),
  librust-rmp-serde-1+default-dev (>= 1.1.0-~~),
@@ -30,7 +32,7 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/filespooler]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/filespooler
 Homepage: https://www.complete.org/filespooler/
@@ -42,6 +44,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
+ librust-anyhow-1+backtrace-dev (>= 1.0.57-~~),
  librust-anyhow-1+default-dev (>= 1.0.57-~~),
  librust-bytes-1+default-dev (>= 1.1.0-~~),
  librust-chrono-0.4+default-dev (>= 0.4.19-~~),
@@ -51,6 +54,7 @@
  librust-clap-4+std-dev (>= 4.1-~~),
  librust-clap-4+usage-dev (>= 4.1-~~),
  librust-clap-4+wrap-help-dev (>= 4.1-~~),
+ librust-command-group-5+default-dev (>= 5.0.1-~~),
  librust-crc32fast-1+default-dev (>= 1.3.2-~~),
  librust-fd-lock-3+default-dev (>= 3.0.5-~~),
  librust-rmp-serde-1+default-dev (>= 1.1.0-~~),
@@ -69,15 +73,13 @@
  librust-filespooler-1+default-dev (= ${binary:Version}),
  librust-filespooler-1.2-dev (= ${binary:Version}),
  librust-filespooler-1.2+default-dev (= ${binary:Version}),
- librust-filespooler-1.2.3-dev (= ${binary:Version}),
- librust-filespooler-1.2.3+default-dev (= ${binary:Version})
+ librust-filespooler-1.2.4-dev (= ${binary:Version}),
+ librust-filespooler-1.2.4+default-dev (= ${binary:Version})
 Description: Sequential, distributed, POSIX-style job queue processing - Rust source code
- This package contains the source for the Rust filespooler crate, packaged by
- debcargo for use with cargo and dh-cargo.
+ Source code for Debianized Rust crate "filespooler"
 
 Package: filespooler
 Architecture: any
-Multi-Arch: allowed
 Section: utils
 Depends:
  ${misc:Depends},
@@ -90,7 +92,7 @@
 Provides:
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
-XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
 Description: Sequential, distributed, POSIX-style job queue processing
  Filespooler is a Unix-style tool that facilitates local or remote command
  execution, complete with stdin capture, with easy integration with various

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test filespooler 1.2.4 --all-targets --all-features
Features: test-name=rust-filespooler:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test filespooler 1.2.4 --all-targets
Features: test-name=librust-filespooler-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test filespooler 1.2.4 --all-targets --no-default-features
Features: test-name=librust-filespooler-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/filespooler-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/filespooler .*/crates/filespooler/@ANY_VERSION@/download
